Subject: bug#43830: keyboard layout handling incompatible with rest of the OS

From: Juri Linkov <[email-masked]>
Date: Wed, 07 Oct 2020 23:25:22 +0300

> Can I do that automagically somehow, given that I switch keyboard layout
> three times a minute when I type? Doing it once won't help anything, since
> that would break shortcuts for English layout, and I want them work the
> same in _all layouts_.

If you rebind e.g. C-. to another command to use in another layout,
it won't work with the initial layout indeed.  reverse-im works well
when you need to rebind only letters, not punctuation.  This problem
is described here: https://github.com/a13/reverse-im.el/issues/6